---
layout: post
title: "All Adventures Begin with Microsoft Edge"
description: "This is part one of my Web Switching series, where I'm taking a look at other web browsers to see if I'm going to permanently switch from Mozilla Firefox."
tags: web-switched web-browsers microsoft microsoft-edge
---

I'm getting bored of Firefox. It works well and I love that it's open-source, but just being open-source isn't enough and I trust Mozilla about as much as I trust Google. Thus I'm ready for a change, and I'm going to start poking around some of the other major web browsers. Chrome/Chromium, Opera, Edge, Vivaldi, Brave, and possibly some others are my targets to try out. I'm going to give each browser about a 30 day trial run as my daily driver (note: I'll still be using other browsers for various things like maintaining multiple Google account sessions simultaneously), and the first one I'll be taking a look at is Microsoft Edge.

This post will be accompanied by a video shortly, this is just a sneak peak for that video with my thoughts on Edge so far. I'll link the video here when it's live.

### What is Edge?

Microsoft's successor to Internet Explorer. Initially started out with their own rendering engine, but later based on Chromium and thus Google's Blink rendering engine. I've always liked Blink as it's super snappy.

### Things I like...

* Installing it was easy - Microsoft provide a Linux repo (nothing special)
* Default theme (color themes) are beautiful - I'm partial to the Cool Blue one
* Signing in to my Microsoft account was easy (nothing special)
* I can use Chromecast from my browser (true for all Chromium browsers)

### Things I don't like...

* Starting Edge doesn't always restore my sessions, and when it does it doesn't always restore the tabs to their proper windows.
* Can't find a way to change the search engine. I'm trying Bing out for now and it's doing fine for me (plus the Bing Rewards are nice!), but I'd like the option to change it.
* Occasionally one window will pin itself to all of my workspaces and can't be unpinned without closing
* Desktop notifications don't timeout

<< Conclude the discussion of the blog post, plus shout out the [YouTube channel]({{ site.links.bitgoblin_channel }}), [Twitch channel]({{ site.links.twitch_channel }} [Patreon]({{ site.links.patreon_link }}), [Discord server]({{ site.links.discord_invite }}), etc >>
