---
layout: post
title:  "Web Hosted #1: How To Setup a Web Server in 2024"
description: "Even in 2024, knowing how to host a website is still important... and you can learn a lot by doing it without a hosting company!"
tags: web websites nginx apache
---

Back in the day, even as far back as the late 90's, you needed a website to be seen as a participant in the web. And 

But still, unless you wanted to g

## The Hardware

Honestly, anything will do. From options as expensive and powerful as multi-server AMD Epyc- or Intel Xeon-backed clusters, all the way down to Single-Board Computers like the Raspberry Pi or Orange Pi, you can use anything that is supported by your Linux distribution of choice.

## The Operating System

Today we're going to go with Debian Bookworm. Ubuntu, OpenSUSE Leap, and AlmaLinux are just as good, but I'm more familiar with Debian and I love the community-backed distro. And Bookworm (aka Debian 12) is the current stable version of Debian as of the writing of this article.

## The Web Server

Nginx! Or Apache, both are cool. But I'm more familiar with Nginx and it's faster anyway.
